# Punktsymmetrisch verteilte Ladung

reset
set encoding iso_8859_1
set terminal postscript eps enhanced color 24
set output "../P22_radialCharge.eps"

set parametric

set view 68, 27, 1.8
set samples 500
set isosamples 2,2

set nokey
set origin 0, -0.3
set xrange [-4:4]; set yrange [-4:4]; set zrange [-4:4]
set xtics axis nomirror; set ytics axis nomirror; set ztics axis nomirror
set format x ""; set format y ""; set format z ""

set noborder
set xyplane at 0

set multiplot

set xzeroaxis lt -1
set yzeroaxis lt -1
set zzeroaxis lt -1

set size ratio 1.0

splot invnorm(rand(0)),\
      invnorm(rand(0)),\
      invnorm(rand(0)) with points pointsize 0.5 lc rgb "dark-violet"

unset xzeroaxis
unset yzeroaxis
unset zzeroaxis

px = invnorm(rand(0))
py = invnorm(rand(0))
pz = invnorm(rand(0))

set arrow from 0,0,0 to px,py,pz head filled
set arrow from 0,0,0 to 4.0,4.0,2.0 head filled

set label "x_1" at 4.6,0,0 center
set label "x_2" at 0,4.8,0 center
set label "x_3" at 0,0,4.8 center
set label "{/=30 {}@^{/Symbol \256}&{i}{r}&{i}{/Symbol \242}}" at px*1.1,py*1.2,pz*1.2 center
set label "{/=30 {}@^{/Symbol \256}&{i}{r}}" at 4.1, 4.2, 2.2 center

set samples 2
splot 0, 0, 0

